package com.backendsys.modules.crt.service;

import com.backendsys.modules.crt.entity.CrtDramaProjectStoryboard;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface CrtGenerateService {

    // [ComfyUI] 查询任务队列
    Map<String, Object> getQueue(Integer port);

    // 短剧创作-生成图片
    Map<String, Object> generateImage(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

    // 短剧创作-获取分集生图记录
    PageEntity selectGenerateImage(CrtDramaProjectStoryboard crtDramaProjectStoryboard);

}
